#!/bin/bash
# Copyright (C) 1999-2015 Parallels IP Holdings GmbH
# Copyright (C) 2018 vt@altlinux.org
#
# This file is part of OpenVZ libraries. OpenVZ is free software; you can
# redistribute it and/or modify it under the terms of the GNU Lesser General
# Public License as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Our contact details: Parallels IP Holdings GmbH, Vordergasse 59, 8200
# Schaffhausen, Switzerland.
#
# This script deletes IP alias(es) inside VPS for RedHat like systems.
#
# Parameters are passed in environment variables.
# Required parameters:
#   DEVICE	- device name

DEVICE=$(basename $DEVICE)
IFCFG=/etc/net/ifaces/${DEVICE}

function del_dev()
{
	[ -d ${IFCFG} ] || exit 1
	ifdown ${DEVICE} 2>/dev/null
	if [ -f ${IFCFG}/options ]; then
		rm -rf -- "${IFCFG}"
	fi
}

del_dev
exit 0
